Skip to content
Compare
Choose a tag to compare

This release is required for SmartNode starting. Others users are not required to update.

Changes in this release.

  • Protocol update to be compatible with 2.1.0 version SmartNodes
  • Trezor code updates.

SmartNodes are required to update to 2.1.0 by October 4th and this update will require a start. To issue a start:

  • Replace smartcashd with 2.1.0 version, ./smratcash-cli stop, ./smartcashd
  • On SmartNode tab in Electrum click on the node to update. Copy your smartnodekey.
  • Remove the node entry. Create new entry. Add your IP:9678, use custom smartnodekey and paste.
  • Then start alias.

SHA-256:
2245A702C20FD7C96AE74C2B6B066F220660560C5AB909839066559071FB9F4E electrum-smart-5.0.2.tar.gz
3727D04A15EF79E31EEB4EF00BA6B71F2A5C2E7A73F73B1A6AD082AC8A7F326F electrum-smart-v5.0.2-portable.exe
F9F710D7BC0B5053A3F7AFB37AFDCC7B4B71CB937310C82750AF12D3D7527853 electrum-smart-v5.0.2-setup.exe

Compare
Choose a tag to compare

This release updates the protocol for SmartNodes.

SHA-256:
9916EFEDABC012F3E41111328205BDD2D03DDAB24B1072F847FA3DC6C588815C electrum-smart-v5.0.1-portable.exe
B7BF539F8D9F141C77A6943F7CF56424C3CE4BAE676C3C6743E42D42CD814456 electrum-smart-v5.0.1-setup.exe
780578BE6729323E03A9BFD9EE316E858EFEEE7F331273CAACB90301D1879FEE electrum-smart-5.0.1.tar.gz

Compare
Choose a tag to compare

This release is required for starting 2.0.0 SmartNodes or spending a locked transaction. This release is required to get the SmartNode airdrop that will be a locked transaction.

Features:

  • Added locked transaction detection and shows as different colors or with lock icon.
  • Only selects inputs that are not locked
  • Updated protocol to start 2.0.0 SmartNodes
  • Trezor password fixes

If your connection shows red, try to connect to a server that is on the latest block. Tools - Network - Server, then right click use server.

SHA-256:
4A179DD9441E0619FA1BDA84EAA8AE644FAB9CAB023B0D8A50B17749D47E696E Linux-electrum-smart-5.0.0.tar.gz
5F1DC7D93EA60E585984B388164CD91F224FE9476FAC631296D570E4B594EE4E Win-electrum-smart-v5.0.0-portable.exe
2B3C2B4DF9F426ABCB11B5F1945270E9644D796871C1569C5165FFF3CCC16BC3 Win-electrum-smart-v5.0.0-setup.exe

Compare
Choose a tag to compare

0B5B358720D21FE58ED9E21BBB3DF8D4322E1FC85DC574C792D1E39E15D2F04D Win-electrum-smart-v4.0.5-portable.exe
FB6F73C1BE5A2D589EE5E05C8D658815004B966CF56C0221D5D140DDCD537703 Win-electrum-smart-v4.0.5-setup.exe
694626D118DDBFD387535EF30984F3CC13DC4B4805DAA16F571430555AE3CA36 Linux-electrum-smart-4.0.5.tar.gz
2C30BCF628B2E0FD12C2677D35037D52D0469221AA4AD67F98B4E8F4716D10A9 Mac-electrum-smart-4.0.5.dmg

Compare
Choose a tag to compare

Updated Tabs to fix an issue opening wallet.

317445169655D9A892D61E790AA9945FBDFB36AA9D16B5586D192F4266557759 Linux-electrum-smart-4.0.4.tar.gz
FD5C5CB9CF57D0031F976AE78E0B3BF3265C44F39D6E74368A781E666515BE75 Win-electrum-smart-v4.0.4-portable.exe
25C282EC26B8C744474267DFD0CA831D540489F993C0AB720E5014E364605655 Win-electrum-smart-v4.0.4-setup.exe

Compare
Choose a tag to compare

This release changes the protocol from 90030 to 90031 to enable starting 1.3.2 SmartNodes

3A985FE224224C3E80B43FCA83FE01C1602BA46662DC57E6ADF8038BE0173B7D electrum-smart-v4.0.3-portable.exe
C8E83FC57F8F5AEFBB9B0C48A6EED7307408251B40EF9C34BB23E78494AC92CB electrum-smart-v4.0.3-setup.exe
E0D2DAFE153DE9F226D40DB44D399532DA6281539AC6F1CDC97DD59328F5DB45 Linux-electrum-smart-4.0.3.tar.gz

Compare
Choose a tag to compare

Changes:
Updated to allow 1.3.0 version SmartNode starting.
Updated SmartRewards to show Yearly Yield

Compare
Choose a tag to compare

What's new

  • News tab
  • Updates to maintain Trezor compatiblity
  • Build fixes for OSX and Windows
  • Security updates
  • Updates for fiat pricing pairs
  • Freeze a specific outputs (to avoid node collateral spending)
  • Fix rewards messages
  • Improve fee component
  • Reduced server requests

For Ubuntu install:

  • sudo apt-add-repository multiverse (needed for Ubuntu 18.04 if not already enabled)
  • sudo apt-get install python3-setuptools python3-pyqt5 python3-pip
  • sudo pip3 install https://github.com/SmartCash/electrum-smart/releases/download/v4.0.1/Linux.electrum-smart-4.0.1.tar.gz --upgrade

For Trezor:

  • sudo apt-get install python-dev cython libusb-1.0-0-dev libudev-dev git
  • sudo pip3 install setuptools
  • sudo pip3 install trezor

Clean Install

  1. Save your seed
  2. Remove old config files
  • On Windows go to \Users\YourUserName\AppData\Roaming\Electrum-SMART\ (or %APPDATA%\Electrum-SMART)
  • On Mac, open finder, go to folder (shift+cmd+G) and type ~/.Electrum-SMART
  • on Linux, go to home folder, Go -> Location and type ~/.Electrum-SMART
  1. Install the new version and recover your seed
Compare
Choose a tag to compare

What's new

  • Trezor support for sending, voting, smartnode collateral storing and starting.
  • SmartNode updated for 100K collateral
  • SmartRewards
  • SmartVoting updated to 1.2.8 new voting algorithm
  • Phishing attack prevention (Fixed spesmilo#4968)
  • Fast synchronization

For Ubuntu install:

  • sudo apt-add-repository multiverse (needed for Ubuntu 18.04 if not already enabled)
  • sudo apt-get install python3-setuptools python3-pyqt5 python3-pip
  • sudo pip3 install https://github.com/SmartCash/electrum-smart/releases/download/v4.0.0/Linux.electrum-smart-4.0.0.tar.gz --upgrade

For Trezor:

  • sudo apt-get install python-dev cython libusb-1.0-0-dev libudev-dev git
  • sudo pip3 install setuptools
  • sudo pip3 install trezor

Clean Install

  1. Save your seed
  2. Remove old config files
  • On Windows go to \Users\YourUserName\AppData\Roaming\Electrum-SMART\ (or %APPDATA%\Electrum-SMART)
  • On Mac, open finder, go to folder (shift+cmd+G) and type ~/.Electrum-SMART
  • on Linux, go to home folder, Go -> Location and type ~/.Electrum-SMART
  1. Install the new version and recover your seed